"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getJpegMini = exports.supportsAssistiveDevices = exports.runJpegMini = exports.quitApp = exports.isInstalled = void 0;
const path_1 = require("path");
const constants_1 = require("./constants");
const osascript_1 = require("./osascript");
const getDirname = () => (0, path_1.dirname)(module.filename || process.execPath);
const getScriptPath = (name) => (0, path_1.resolve)(getDirname(), `../osascript/${name}.applescript`);
const toBoolean = (value) => value === 'true';
const isInstalled = (app) => (0, osascript_1.osascript)(getScriptPath('is-installed'), app.bundleId).then(toBoolean);
exports.isInstalled = isInstalled;
const quitApp = (app) => (0, osascript_1.osascript)(getScriptPath('quit-app'), app.name).then(() => undefined);
exports.quitApp = quitApp;
const runJpegMini = (app) => (0, osascript_1.osascript)(getScriptPath('run-jpegmini'), constants_1.TMPDIR, app.name).then(() => undefined);
exports.runJpegMini = runJpegMini;
const supportsAssistiveDevices = () => (0, osascript_1.osascript)(getScriptPath('supports-assistive-devices')).then(toBoolean);
exports.supportsAssistiveDevices = supportsAssistiveDevices;
const getJpegMini = async () => (await (0, exports.isInstalled)(constants_1.JPEGMINI_PRO))
    ? constants_1.JPEGMINI_PRO
    : (await (0, exports.isInstalled)(constants_1.JPEGMINI_PRO_RETAIL))
        ? constants_1.JPEGMINI_PRO_RETAIL
        : (await (0, exports.isInstalled)(constants_1.JPEGMINI))
            ? constants_1.JPEGMINI
            : (await (0, exports.isInstalled)(constants_1.JPEGMINI_RETAIL))
                ? constants_1.JPEGMINI_RETAIL
                : (await (0, exports.isInstalled)(constants_1.JPEGMINI_LITE))
                    ? constants_1.JPEGMINI_LITE
                    : (await (0, exports.isInstalled)(constants_1.JPEGMINI_LITE_RETAIL))
                        ? constants_1.JPEGMINI_LITE_RETAIL
                        : (await (0, exports.isInstalled)(constants_1.JPEGMINI_PRO_BEAMR))
                            ? constants_1.JPEGMINI_PRO_BEAMR
                            : null;
exports.getJpegMini = getJpegMini;
