"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ERROR_CANNOT_AUTOMATE_OSX = exports.ERROR_JPEGMINI_NOT_INSTALLED = exports.JPEGMINI_PRO_RETAIL = exports.JPEGMINI_PRO_BEAMR = exports.JPEGMINI_PRO = exports.JPEGMINI_LITE_RETAIL = exports.JPEGMINI_LITE = exports.JPEGMINI_RETAIL = exports.JPEGMINI = exports.IMAGEOPTIM = exports.IMAGEALPHA = exports.JPEG_MINI_URL = exports.IMAGEOPTIM_URL = exports.IMAGEALPHA_URL = exports.ASSISTIVE_DEVICES_URL = exports.HOMEPAGE_URL = exports.IMAGEOPTIM_BIN_PATH = exports.PNGQUANT_BIN_PATH = exports.PNGQUANT_SPEED = exports.PNGQUANT_QUALITY = exports.PNGQUANT_NUMBER_OF_COLORS = exports.VERSION = exports.TMPDIR = exports.SUPPORTED_FILE_TYPES = void 0;
const os_1 = require("os");
const path_1 = require("path");
const uuid_1 = require("./uuid");
const manifest = require('../package.json');
const supports = {
    imageAlpha: ['.PNG', '.png'],
    imageOptim: [
        '.BMP',
        '.bmp',
        '.GIF',
        '.gif',
        '.JPEG',
        '.jpeg',
        '.JPG',
        '.jpg',
        '.PCX',
        '.pcx',
        '.PNG',
        '.png',
        '.PNM',
        '.pnm',
        '.TGA',
        '.tga',
        '.TIFF',
        '.tiff',
    ],
    jpegmini: ['.JPEG', '.jpeg', '.JPG', '.jpg'],
};
exports.SUPPORTED_FILE_TYPES = [
    ...supports.imageAlpha,
    ...supports.imageOptim,
    ...supports.jpegmini,
].filter((value, i, list) => list.indexOf(value) === i);
exports.TMPDIR = (0, path_1.join)((0, os_1.tmpdir)(), 'imageoptim-cli', (0, uuid_1.uuid)());
exports.VERSION = manifest.version;
exports.PNGQUANT_NUMBER_OF_COLORS = '256';
exports.PNGQUANT_QUALITY = '65-80';
exports.PNGQUANT_SPEED = '1';
exports.PNGQUANT_BIN_PATH = '/Applications/ImageAlpha.app/Contents/MacOS/pngquant';
exports.IMAGEOPTIM_BIN_PATH = '/Applications/ImageOptim.app/Contents/MacOS/ImageOptim';
exports.HOMEPAGE_URL = 'https://github.com/JamieMason/ImageOptim-CLI';
exports.ASSISTIVE_DEVICES_URL = `${exports.HOMEPAGE_URL}/#%EF%B8%8F-jpegmini-and-support-for-assistive-devices`;
exports.IMAGEALPHA_URL = 'https://pngmini.com/';
exports.IMAGEOPTIM_URL = 'https://imageoptim.com/mac';
exports.JPEG_MINI_URL = 'https://itunes.apple.com/us/app/jpegmini/id498944723';
exports.IMAGEALPHA = {
    bundleId: 'net.pornel.ImageAlpha',
    name: 'ImageAlpha',
    supports: supports.imageAlpha,
};
exports.IMAGEOPTIM = {
    bundleId: 'net.pornel.ImageOptim',
    name: 'ImageOptim',
    supports: supports.imageOptim,
};
exports.JPEGMINI = {
    bundleId: 'com.icvt.JPEGmini',
    name: 'JPEGmini',
    supports: supports.jpegmini,
};
exports.JPEGMINI_RETAIL = {
    bundleId: 'com.icvt.JPEGmini-retail',
    name: 'JPEGmini',
    supports: supports.jpegmini,
};
exports.JPEGMINI_LITE = {
    bundleId: 'com.icvt.JPEGminiLite',
    name: 'JPEGmini Lite',
    supports: supports.jpegmini,
};
exports.JPEGMINI_LITE_RETAIL = {
    bundleId: 'com.icvt.JPEGminiLite-retail',
    name: 'JPEGmini Lite',
    supports: supports.jpegmini,
};
exports.JPEGMINI_PRO = {
    bundleId: 'com.icvt.JPEGmini-Pro',
    name: 'JPEGmini Pro',
    supports: supports.jpegmini,
};
exports.JPEGMINI_PRO_BEAMR = {
    bundleId: 'com.beamr.jpegminipro.app',
    name: 'JPEGmini Pro',
    supports: supports.jpegmini,
};
exports.JPEGMINI_PRO_RETAIL = {
    bundleId: 'com.icvt.JPEGmini-Pro-retail',
    name: 'JPEGmini Pro',
    supports: supports.jpegmini,
};
exports.ERROR_JPEGMINI_NOT_INSTALLED = 'ERROR_JPEGMINI_NOT_INSTALLED';
exports.ERROR_CANNOT_AUTOMATE_OSX = 'ERROR_CANNOT_AUTOMATE_OSX';
