"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pngquant = void 0;
const expect_more_1 = require("expect-more");
const constants_1 = require("./constants");
const exec_1 = require("./exec");
const pngquant = async (pngFilePaths, options) => {
    try {
        await (0, exec_1.exec)(constants_1.PNGQUANT_BIN_PATH, [
            '--ext=.png',
            '--force',
            '--skip-if-larger',
            `--speed=${options.speed}`,
            `--quality=${options.quality}`,
            options.numberOfColors,
            '--',
            ...pngFilePaths,
        ]);
    }
    catch (err) {
        if ((0, expect_more_1.isWalkable)(err) && err.exitCode !== 99 && err.exitCode !== 98) {
            throw err;
        }
    }
};
exports.pngquant = pngquant;
