"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runImageAlpha = void 0;
const fs_1 = require("./fs");
const constants_1 = require("./constants");
const is_supported_1 = require("./is-supported");
const log_1 = require("./log");
const pngquant_1 = require("./pngquant");
const runImageAlpha = async (options) => {
    (0, log_1.info)(`Running ${constants_1.IMAGEALPHA.name}...`);
    const pngFilePaths = options.filePaths
        .map((file) => file.tmp)
        .filter((0, is_supported_1.isSupported)(constants_1.IMAGEALPHA.supports));
    if (!(await (0, fs_1.pathExists)(constants_1.PNGQUANT_BIN_PATH))) {
        return (0, log_1.panic)(`ImageAlpha.app is not installed (${constants_1.IMAGEALPHA_URL})`, options);
    }
    await (0, pngquant_1.pngquant)(pngFilePaths, options);
    (0, log_1.verbose)(`${constants_1.IMAGEALPHA.name} has finished`);
};
exports.runImageAlpha = runImageAlpha;
