"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runImageOptim = void 0;
const fs_1 = require("./fs");
const constants_1 = require("./constants");
const log_1 = require("./log");
const exec_1 = require("./exec");
const runImageOptim = async (options) => {
    (0, log_1.info)(`Running ${constants_1.IMAGEOPTIM.name}...`);
    if (!(await (0, fs_1.pathExists)(constants_1.IMAGEOPTIM_BIN_PATH))) {
        return (0, log_1.panic)(`ImageOptim.app is not installed (${constants_1.IMAGEOPTIM_URL})`, options);
    }
    await (0, exec_1.exec)(`${constants_1.IMAGEOPTIM_BIN_PATH}`, [options.tmpDir]);
    (0, log_1.verbose)(`${constants_1.IMAGEOPTIM.name} has finished`);
};
exports.runImageOptim = runImageOptim;
