"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tearDown = exports.setup = exports.clean = void 0;
const fs_1 = require("./fs");
const log_1 = require("./log");
function sourceToTmp({ source, tmp }) {
    return (0, fs_1.copy)(source, tmp);
}
function tmpToSource({ source, tmp }) {
    return (0, fs_1.copy)(tmp, source);
}
const clean = (options) => {
    return (0, fs_1.remove)(options.tmpDir);
};
exports.clean = clean;
const setup = async (options) => {
    await (0, exports.clean)(options);
    (0, log_1.verbose)(`Copying ${options.filePaths.length} files to temp directory`);
    await Promise.all(options.filePaths.map(sourceToTmp));
};
exports.setup = setup;
const tearDown = async (options) => {
    (0, log_1.verbose)(`Copying ${options.filePaths.length} files back to original location`);
    await Promise.all(options.filePaths.map(tmpToSource));
    await (0, exports.clean)(options);
};
exports.tearDown = tearDown;
