"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeReport = void 0;
const log_1 = require("./log");
const writeReport = async (stats) => {
    const { total } = stats;
    const results = stats.files.concat(total);
    if (total.pretty.saving === '0B') {
        (0, log_1.warning)('No size savings');
    }
    else {
        results.forEach(({ path, pretty, raw }) => {
            (0, log_1.result)(path, pretty.before, pretty.after, pretty.saving, raw.percentSaving);
        });
    }
};
exports.writeReport = writeReport;
